Name:          gentlyweb-utils
# there are no differences in the debian source taraball
# http://ftp.de.debian.org/debian/pool/main/g/gentlyweb-utils/gentlyweb-utils_1.5.orig.tar.gz
# the version is changed only in the activemq package see activemq-5.6.0/pom.xml
Version:       1.5
Release:       %mkrel 8
Summary:       Java utility library used by JoSQL for I/O
Group:         Development/Java
License:       ASL 2.0
Url:           http://josql.sourceforge.net/
#Sour ce0:       http://gentlyweb-utils.sourcearchive.com/downloads/1.5-1/gentlyweb-utils_1.5.orig.tar.gz
Source0:       http://sourceforge.net/projects/josql/files/josql/stable-2.2/gentlyWEB-src-utils-1.1.tar.gz
Source1:       http://repo.fusesource.com/nexus/content/groups/public/net/sf/josql/%{name}/%{version}/gentlyweb-utils-%{version}.pom
# use system libraries
# fix javac target/source 1.5, encoding
# fix version
# add javadoc task
Patch0:        %{name}-%{version}-build.patch


BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: jdom

Requires:      jpackage-utils
BuildArch:     noarch

%description
Simple java utility library used mainly by JoSQL for I/O.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n gentlyWEB-src-utils-1.1
%autopatch -p0

%build

%ant -f build-utils.xml createUtilsJar javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 gentlyWEB-utils-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{name}.jar %{buildroot}%{_javadir}/gentlyWEB-utils.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%{_javadir}/gentlyWEB-utils.jar
%doc LICENSE-2.0.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE-2.0.txt



%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.5-8.mga6
+ Revision: 952015
- Mageia 6 Mass Rebuild

* Tue Jan 13 2015 pterjan <pterjan> 1.5-7.mga5
+ Revision: 810222
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.5-6.mga5
+ Revision: 739957
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-5.mga5
+ Revision: 679495
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5-4.mga4
+ Revision: 504806
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 351366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 1.5-2.mga3
+ Revision: 293333
- imported package gentlyweb-utils


* Thu Aug 30 2012 gil cattaneo <puntogil@libero.it> 1.5-2
- changed SOURCE0 no more available at http://gentlyweb-utils.sourcearchive.com/downloads/1.5-1

* Fri May 18 2012 gil cattaneo <puntogil@libero.it> 1.5-1
- initial rpm
